Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1155099 - Review Request: dbacl - Bayesian text classifier
Summary: Review Request: dbacl - Bayesian text classifier
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-10-21 11:25 UTC by Tobias Florek
Modified: 2016-07-29 13:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 13:36:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 524277 None None None Never

Description Tobias Florek 2014-10-21 11:25:12 UTC
Spec: https://math.hu-berlin.de/~florek/dbacl-1.14-1.spec
Srpm: https://math.hu-berlin.de/~florek/dbacl-1.14-1.fc21.src.rpm

I have no sponsor, etc. This is my first package (an older attempt was taken by someone else when I ran out of time).

Rpmlint complains about 

 * incorrect fsf address,
 * japanese file with non-utf8 encoding.

That's something to be fixed upstream I suppose. I have contacted dbacl's author Laird Breyer.

Comment 1 Volker Fröhlich 2014-10-21 16:08:22 UTC
Your URL doesn't work. Please also update your ticket according to the guidelines: http://fedoraproject.org/wiki/Package_Review_Process#Contributor

Comment 2 Tobias Florek 2014-10-22 07:41:10 UTC
Spec URL: https://www.math.hu-berlin.de/~florek/dbacl-1.14-1.spec
SRPM URL: https://www.math.hu-berlin.de/~florek/dbacl-1.14-1.fc21.src.rpm
Fedora Account System Username: ibotty
Description: 

dbacl can distill text documents into categories, and then
compare other text documents to the learned categories. 

It can be used to recognize spam, and more generally
sort incoming email into any number of categories such as
work, play, and so on.

As a noise filter, it can be useful during the indexing of
personal document collections.

Comment 3 Volker Fröhlich 2014-10-22 07:47:40 UTC
You can remove both of the following lines:

BuildRequires: glibc-devel
Requires:      glibc

rpmbuild takes care of creating the necessary Requires and glibc-devel is a requirement for gcc, which has an exception from BRs, see http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Comment 4 Tobias Florek 2014-10-22 08:03:50 UTC
updated spec under
 https://www.math.hu-berlin.de/~florek/dbacl-1.14-2.spec

Comment 5 Ralf Corsepius 2014-10-22 12:09:16 UTC
(In reply to Tobias Florek from comment #4)
> updated spec under
>  https://www.math.hu-berlin.de/~florek/dbacl-1.14-2.spec

I understand, you are a new-comer. Therefore, please also update your src.rpm each time you change something and use unversioned *.spec files.

Besides this, some remarks on this package:

- You can avoid the "move docs from non-standard doc dir" stuff by passing --docdir to configure, i.e. 
%configure --docdir=%{_pkgdocdir}

- The sources seem to bundle some really old BSD math-related routines, many of which nowadays are part of libc/libm. License-wise it's OK to let put them under a GPL-umbrella, but in general, this technically is not is fairly error-prone.
My advise would be to contact upstream and ask them to eliminate all those functions which are supplied by libc/libm.

Comment 6 Pranav Kant 2015-03-16 04:22:19 UTC
Provided links not working.

Comment 7 Tobias Florek 2015-03-16 17:14:41 UTC
see the links in comment 2 and 4.

Comment 8 Fedora End Of Life 2015-11-04 13:09:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Volker Fröhlich 2015-11-13 09:59:34 UTC
Tobias, are you still interested?

Comment 10 Miroslav Suchý 2016-07-29 13:36:07 UTC
No response provided for several month. Closing. If you want to continue, please reopen.


Note You need to log in before you can comment on or make changes to this bug.